libstdc++

ShinitenshiShinitenshi Join Date: 2008-02-27 Member: 63753Posts: 2Members
needs to be installed!
[META] ERROR: dll: Failed query plugin '<extralevels3_i386.so>'; Couldn't open file '/home/shinitenshi/servers/hlds/ns/addons/extralevels3/extralevels3_i386.so': libstdc++.so.6: cannot open shared object file: No such file or directory

File does exist in the directory. They have told me i need to install libstdc++ but how? I have ubuntu horray

Comments

  • KungFuDiscoMonkeyKungFuDiscoMonkey Creator of ns_altair 日本福岡県 Join Date: 2003-03-15 Member: 14555Posts: 2,589Members, NS1 Playtester, Reinforced - Onos Advanced user
    edited February 2008
    I would search in Aptitude or Synaptic to find and install the libstdc++ packages.
    I find it a little hard to imagine libstdc++ not being installed. I would suspect it is something to do with the plugin you are trying to load. Does vanilla NS load properly ?
    毎日勉強したら上手になるよ
  • DepotDepot The ModFather Join Date: 2002-11-09 Member: 7956Posts: 6,411Members Fully active user
    edited February 2008
    The rest... of... the... story:

    QUOTE(Shinitenshi @ Feb 27 2008, 09:17 PM)
    QUOTE(White Panther @ Feb 28 2008, 01:35 AM)
    do you have the lib installed ? search for it: "find / -name libstdc++.so.6"

    if it is not istalled:
    "sudo apt-get install libstc++6"

    I tried to install that but got this:

    [email protected]:~$ sudo apt-get install libstc++6
    Password:
    Reading package lists... Done
    Building dependency tree... Done
    E: Couldn't find package libstc++6
    [email protected]:~$

    I really apreciate your help! going crazy ova this lol
    image
    modNS Forums - NS1 and NS2: We Wrote The Book On NS Moddingimage
  • ShinitenshiShinitenshi Join Date: 2008-02-27 Member: 63753Posts: 2Members
    QUOTE(Depot @ Feb 27 2008, 06:08 PM) »
    The rest... of... the... story:
    I tried to install that but got this:

    [email protected]:~$ sudo apt-get install libstc++6
    Password:
    Reading package lists... Done
    Building dependency tree... Done
    E: Couldn't find package libstc++6
    [email protected]:~$

    I really apreciate your help! going crazy ova this lol

    Ya am running into to much trouble, this version of ubuntu is really old so am gona upgrade to version 7 currently have 5 not supported anymore sad-fix.gif
Sign In or Register to comment.